Web browser: ---
            Bug ID: 60816
           Summary: Flow: ParsoidUtils exception "ID XXX already defined"
           Product: MediaWiki extensions
           Version: master
          Hardware: All
                OS: All
            Status: NEW
          Severity: normal
          Priority: Unprioritized
         Component: Flow
    Classification: Unclassified
   Mobile Platform: ---

I saw this in exception.log:
  2014-02-03 21:38:32 mw1132 enwiki: [89292370] /w/api.php   Exception from
line 208 of
ID searchbox already defined

Maybe the HTML of the templates we added on enwiki today had two search boxes.
pandiculation, do you recall seeing any errors?

You can reproduce by trying to add a post with
  <span id="FLOW">first one</span>
  <span id="FLOW">same ID</span>

two identical IDs is "illegal" HTML, so Parsoid rejects it. That's technically
correct, but you can add the same wikitext without complaint to a regular page,
so maybe this is a Parsoid bug and there should be some way to get Parsoid to
be more relaxed.

Clicking Preview gives me
  An unexpected error occurred.
(seems like another bug this should include the error message.)
Clicking Reply gives me a more helpful
  An error occurred.
  The error message received was: Exception Caught: ID searchbox already

FWIW invoking Parsoid from the command line with this HTML: 
  curl --dump-header - \
    -d 'wt=<span id="FLOW">first one</span> <span id="FLOW">same ID</span>'\
    -d 'body=1'  localhost:8000/localhost/Main_Page

doesn't report any errors or exceptions.

Here's the rest of the log

Flow\ParsoidUtils::createDOM('<!DOCTYPE html>...')
Flow\ParsoidUtils::parsoid('wikitext', 'html', '{{Flow-enabled}...',
Flow\ParsoidUtils::convert('wikitext', 'html', '{{Flow-enabled}...',
#3 /usr/local/apache/common-local/php-1.23wmf11/includes/api/ApiMain.php(861):
#4 /usr/local/apache/common-local/php-1.23wmf11/includes/api/ApiMain.php(362):
#5 /usr/local/apache/common-local/php-1.23wmf11/includes/api/ApiMain.php(333):
#6 /usr/local/apache/common-local/php-1.23wmf11/api.php(76): ApiMain->execute()
#7 /usr/local/apache/common-local/w/api.php(3): require('/usr/local/apac...')
#8 {main}

You are receiving this mail because:
You are the assignee for the bug.
You are on the CC list for the bug.
Wikibugs-l mailing list

Reply via email to